GET
Returns incidents in the authenticated workspace. Requires a personal API key with the incidents:read scope.
BearerAuthheader
AuthorizationBearer <token>Personal API key with the incidents:read scope.
status?|Optional incident status filter.
limit?LimitPage size, from 1 to 200.
Range
1 <= value <= 200Default
50offset?OffsetNumber of incidents to skip.
Range
0 <= valueDefault
0Successful Response
application/json- response
items?array<>curl --fail-with-body --silent --show-error \+ "${INCIDENTFLOW_API_BASE_URL:-https://api.incidentflow.io}/api/v1/incidents?limit=50&offset=0" \+ -H "Authorization: Bearer ${INCIDENTFLOW_API_TOKEN}"Example Response
{ "items": [ { "id": "11111111-1111-1111-1111-111111111111", "title": "API errors elevated", "status": "active", "severity": "sev2", "source_kind": "external_status", "provider": "github", "provider_incident_key": "github:example", "signals_count": 3 } ]}